Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network122.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
122.128.0.0
Broadcast address
122.255.255.255
First usable
122.128.0.1
Last usable
122.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 7A800000 · Integer 2055208960 to 2063597567
Reverse DNS zones
128.122.in-addr.arpa
129.122.in-addr.arpa
130.122.in-addr.arpa
131.122.in-addr.arpa
132.122.in-addr.arpa
133.122.in-addr.arpa
134.122.in-addr.arpa
135.122.in-addr.arpa
136.122.in-addr.arpa
137.122.in-addr.arpa
138.122.in-addr.arpa
139.122.in-addr.arpa
140.122.in-addr.arpa
141.122.in-addr.arpa
142.122.in-addr.arpa
143.122.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111010.10000000.00000000.00000000122.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01111010.10000000.00000000.00000000122.128.0.0
Broadcast01111010.11111111.11111111.11111111122.255.255.255
Split into smaller subnets/16

122.128.0.0/9 makes 128 subnets of /16.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1122.128.0.0/16122.128.0.1 to 122.128.255.254122.128.255.25565,534
2122.129.0.0/16122.129.0.1 to 122.129.255.254122.129.255.25565,534
3122.130.0.0/16122.130.0.1 to 122.130.255.254122.130.255.25565,534
4122.131.0.0/16122.131.0.1 to 122.131.255.254122.131.255.25565,534
5122.132.0.0/16122.132.0.1 to 122.132.255.254122.132.255.25565,534
6122.133.0.0/16122.133.0.1 to 122.133.255.254122.133.255.25565,534
7122.134.0.0/16122.134.0.1 to 122.134.255.254122.134.255.25565,534
8122.135.0.0/16122.135.0.1 to 122.135.255.254122.135.255.25565,534
9122.136.0.0/16122.136.0.1 to 122.136.255.254122.136.255.25565,534
10122.137.0.0/16122.137.0.1 to 122.137.255.254122.137.255.25565,534
11122.138.0.0/16122.138.0.1 to 122.138.255.254122.138.255.25565,534
12122.139.0.0/16122.139.0.1 to 122.139.255.254122.139.255.25565,534
13122.140.0.0/16122.140.0.1 to 122.140.255.254122.140.255.25565,534
14122.141.0.0/16122.141.0.1 to 122.141.255.254122.141.255.25565,534
15122.142.0.0/16122.142.0.1 to 122.142.255.254122.142.255.25565,534
16122.143.0.0/16122.143.0.1 to 122.143.255.254122.143.255.25565,534
17122.144.0.0/16122.144.0.1 to 122.144.255.254122.144.255.25565,534
18122.145.0.0/16122.145.0.1 to 122.145.255.254122.145.255.25565,534
19122.146.0.0/16122.146.0.1 to 122.146.255.254122.146.255.25565,534
20122.147.0.0/16122.147.0.1 to 122.147.255.254122.147.255.25565,534
21122.148.0.0/16122.148.0.1 to 122.148.255.254122.148.255.25565,534
22122.149.0.0/16122.149.0.1 to 122.149.255.254122.149.255.25565,534
23122.150.0.0/16122.150.0.1 to 122.150.255.254122.150.255.25565,534
24122.151.0.0/16122.151.0.1 to 122.151.255.254122.151.255.25565,534
25122.152.0.0/16122.152.0.1 to 122.152.255.254122.152.255.25565,534
26122.153.0.0/16122.153.0.1 to 122.153.255.254122.153.255.25565,534
27122.154.0.0/16122.154.0.1 to 122.154.255.254122.154.255.25565,534
28122.155.0.0/16122.155.0.1 to 122.155.255.254122.155.255.25565,534
29122.156.0.0/16122.156.0.1 to 122.156.255.254122.156.255.25565,534
30122.157.0.0/16122.157.0.1 to 122.157.255.254122.157.255.25565,534
31122.158.0.0/16122.158.0.1 to 122.158.255.254122.158.255.25565,534
32122.159.0.0/16122.159.0.1 to 122.159.255.254122.159.255.25565,534
33122.160.0.0/16122.160.0.1 to 122.160.255.254122.160.255.25565,534
34122.161.0.0/16122.161.0.1 to 122.161.255.254122.161.255.25565,534
35122.162.0.0/16122.162.0.1 to 122.162.255.254122.162.255.25565,534
36122.163.0.0/16122.163.0.1 to 122.163.255.254122.163.255.25565,534
37122.164.0.0/16122.164.0.1 to 122.164.255.254122.164.255.25565,534
38122.165.0.0/16122.165.0.1 to 122.165.255.254122.165.255.25565,534
39122.166.0.0/16122.166.0.1 to 122.166.255.254122.166.255.25565,534
40122.167.0.0/16122.167.0.1 to 122.167.255.254122.167.255.25565,534
41122.168.0.0/16122.168.0.1 to 122.168.255.254122.168.255.25565,534
42122.169.0.0/16122.169.0.1 to 122.169.255.254122.169.255.25565,534
43122.170.0.0/16122.170.0.1 to 122.170.255.254122.170.255.25565,534
44122.171.0.0/16122.171.0.1 to 122.171.255.254122.171.255.25565,534
45122.172.0.0/16122.172.0.1 to 122.172.255.254122.172.255.25565,534
46122.173.0.0/16122.173.0.1 to 122.173.255.254122.173.255.25565,534
47122.174.0.0/16122.174.0.1 to 122.174.255.254122.174.255.25565,534
48122.175.0.0/16122.175.0.1 to 122.175.255.254122.175.255.25565,534
49122.176.0.0/16122.176.0.1 to 122.176.255.254122.176.255.25565,534
50122.177.0.0/16122.177.0.1 to 122.177.255.254122.177.255.25565,534
51122.178.0.0/16122.178.0.1 to 122.178.255.254122.178.255.25565,534
52122.179.0.0/16122.179.0.1 to 122.179.255.254122.179.255.25565,534
53122.180.0.0/16122.180.0.1 to 122.180.255.254122.180.255.25565,534
54122.181.0.0/16122.181.0.1 to 122.181.255.254122.181.255.25565,534
55122.182.0.0/16122.182.0.1 to 122.182.255.254122.182.255.25565,534
56122.183.0.0/16122.183.0.1 to 122.183.255.254122.183.255.25565,534
57122.184.0.0/16122.184.0.1 to 122.184.255.254122.184.255.25565,534
58122.185.0.0/16122.185.0.1 to 122.185.255.254122.185.255.25565,534
59122.186.0.0/16122.186.0.1 to 122.186.255.254122.186.255.25565,534
60122.187.0.0/16122.187.0.1 to 122.187.255.254122.187.255.25565,534
61122.188.0.0/16122.188.0.1 to 122.188.255.254122.188.255.25565,534
62122.189.0.0/16122.189.0.1 to 122.189.255.254122.189.255.25565,534
63122.190.0.0/16122.190.0.1 to 122.190.255.254122.190.255.25565,534
64122.191.0.0/16122.191.0.1 to 122.191.255.254122.191.255.25565,534
65122.192.0.0/16122.192.0.1 to 122.192.255.254122.192.255.25565,534
66122.193.0.0/16122.193.0.1 to 122.193.255.254122.193.255.25565,534
67122.194.0.0/16122.194.0.1 to 122.194.255.254122.194.255.25565,534
68122.195.0.0/16122.195.0.1 to 122.195.255.254122.195.255.25565,534
69122.196.0.0/16122.196.0.1 to 122.196.255.254122.196.255.25565,534
70122.197.0.0/16122.197.0.1 to 122.197.255.254122.197.255.25565,534
71122.198.0.0/16122.198.0.1 to 122.198.255.254122.198.255.25565,534
72122.199.0.0/16122.199.0.1 to 122.199.255.254122.199.255.25565,534
73122.200.0.0/16122.200.0.1 to 122.200.255.254122.200.255.25565,534
74122.201.0.0/16122.201.0.1 to 122.201.255.254122.201.255.25565,534
75122.202.0.0/16122.202.0.1 to 122.202.255.254122.202.255.25565,534
76122.203.0.0/16122.203.0.1 to 122.203.255.254122.203.255.25565,534
77122.204.0.0/16122.204.0.1 to 122.204.255.254122.204.255.25565,534
78122.205.0.0/16122.205.0.1 to 122.205.255.254122.205.255.25565,534
79122.206.0.0/16122.206.0.1 to 122.206.255.254122.206.255.25565,534
80122.207.0.0/16122.207.0.1 to 122.207.255.254122.207.255.25565,534
81122.208.0.0/16122.208.0.1 to 122.208.255.254122.208.255.25565,534
82122.209.0.0/16122.209.0.1 to 122.209.255.254122.209.255.25565,534
83122.210.0.0/16122.210.0.1 to 122.210.255.254122.210.255.25565,534
84122.211.0.0/16122.211.0.1 to 122.211.255.254122.211.255.25565,534
85122.212.0.0/16122.212.0.1 to 122.212.255.254122.212.255.25565,534
86122.213.0.0/16122.213.0.1 to 122.213.255.254122.213.255.25565,534
87122.214.0.0/16122.214.0.1 to 122.214.255.254122.214.255.25565,534
88122.215.0.0/16122.215.0.1 to 122.215.255.254122.215.255.25565,534
89122.216.0.0/16122.216.0.1 to 122.216.255.254122.216.255.25565,534
90122.217.0.0/16122.217.0.1 to 122.217.255.254122.217.255.25565,534
91122.218.0.0/16122.218.0.1 to 122.218.255.254122.218.255.25565,534
92122.219.0.0/16122.219.0.1 to 122.219.255.254122.219.255.25565,534
93122.220.0.0/16122.220.0.1 to 122.220.255.254122.220.255.25565,534
94122.221.0.0/16122.221.0.1 to 122.221.255.254122.221.255.25565,534
95122.222.0.0/16122.222.0.1 to 122.222.255.254122.222.255.25565,534
96122.223.0.0/16122.223.0.1 to 122.223.255.254122.223.255.25565,534
97122.224.0.0/16122.224.0.1 to 122.224.255.254122.224.255.25565,534
98122.225.0.0/16122.225.0.1 to 122.225.255.254122.225.255.25565,534
99122.226.0.0/16122.226.0.1 to 122.226.255.254122.226.255.25565,534
100122.227.0.0/16122.227.0.1 to 122.227.255.254122.227.255.25565,534
101122.228.0.0/16122.228.0.1 to 122.228.255.254122.228.255.25565,534
102122.229.0.0/16122.229.0.1 to 122.229.255.254122.229.255.25565,534
103122.230.0.0/16122.230.0.1 to 122.230.255.254122.230.255.25565,534
104122.231.0.0/16122.231.0.1 to 122.231.255.254122.231.255.25565,534
105122.232.0.0/16122.232.0.1 to 122.232.255.254122.232.255.25565,534
106122.233.0.0/16122.233.0.1 to 122.233.255.254122.233.255.25565,534
107122.234.0.0/16122.234.0.1 to 122.234.255.254122.234.255.25565,534
108122.235.0.0/16122.235.0.1 to 122.235.255.254122.235.255.25565,534
109122.236.0.0/16122.236.0.1 to 122.236.255.254122.236.255.25565,534
110122.237.0.0/16122.237.0.1 to 122.237.255.254122.237.255.25565,534
111122.238.0.0/16122.238.0.1 to 122.238.255.254122.238.255.25565,534
112122.239.0.0/16122.239.0.1 to 122.239.255.254122.239.255.25565,534
113122.240.0.0/16122.240.0.1 to 122.240.255.254122.240.255.25565,534
114122.241.0.0/16122.241.0.1 to 122.241.255.254122.241.255.25565,534
115122.242.0.0/16122.242.0.1 to 122.242.255.254122.242.255.25565,534
116122.243.0.0/16122.243.0.1 to 122.243.255.254122.243.255.25565,534
117122.244.0.0/16122.244.0.1 to 122.244.255.254122.244.255.25565,534
118122.245.0.0/16122.245.0.1 to 122.245.255.254122.245.255.25565,534
119122.246.0.0/16122.246.0.1 to 122.246.255.254122.246.255.25565,534
120122.247.0.0/16122.247.0.1 to 122.247.255.254122.247.255.25565,534
121122.248.0.0/16122.248.0.1 to 122.248.255.254122.248.255.25565,534
122122.249.0.0/16122.249.0.1 to 122.249.255.254122.249.255.25565,534
123122.250.0.0/16122.250.0.1 to 122.250.255.254122.250.255.25565,534
124122.251.0.0/16122.251.0.1 to 122.251.255.254122.251.255.25565,534
125122.252.0.0/16122.252.0.1 to 122.252.255.254122.252.255.25565,534
126122.253.0.0/16122.253.0.1 to 122.253.255.254122.253.255.25565,534
127122.254.0.0/16122.254.0.1 to 122.254.255.254122.254.255.25565,534
128122.255.0.0/16122.255.0.1 to 122.255.255.254122.255.255.25565,534

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses